Bug 28865 - Graphical install fails randomly with the 64-bit/66MHz Fibre Channel Host Adapter installed
Graphical install fails randomly with the 64-bit/66MHz Fibre Channel Host Ada...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-22 10:09 EST by Bryan Leopard
Modified: 2007-03-26 23:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 15:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-02-22 10:09:02 EST
ML350, internal drives connected to SCSI controller, 128 MB RAM, Persian 
board installed with no drives connected, Red Hat 7 respin

Graphical installer fails randomly with 64-bit/66MHz Fibre Channel Host 
Adapter board installed in system, even with no arrays connected. Removing 
the 64-bit/66MHz Fibre Channel Host Adapter allows the install to complete 
successfully.

Works w/textmode install.  

Still blows up with the Anaconda update from Red Hat's web site.
Comment 1 Michael Fulbright 2001-02-22 12:20:15 EST
What is a 64-bit/66MHz Fibre Channel Host Adapter (lspci and lspci -v output
would help)?

I doubt we have one here, will check.
Comment 2 Karsten Hopp 2001-02-23 09:16:57 EST
persian is a Compaq name for the Compaq Tachyon TL/TS
Fibre Channel Host Bus Adapter (cpqfc driver), but I
don't think we have one here to test.
Comment 3 Michael Fulbright 2001-02-27 19:04:22 EST
Waiting for hardware to test this with...
Comment 4 Michael Fulbright 2001-03-07 10:22:05 EST
Brent please look at now we have the hardware.
Comment 5 Brent Fox 2001-03-07 16:39:01 EST
The installer does not lock up in graphical install with the latest internal
trees.  However, the cpqfc driver isn't getting loaded.  It appears to not be in
the pcitable.
Comment 6 Brent Fox 2001-03-07 16:57:03 EST
Actually, it appears that the cpqfc module isn't being built at all in the
latest trees.
Comment 7 Brent Fox 2001-03-07 18:20:31 EST
Apparently, the cpqfc module isn't working with the 2.4 kernel.  I have send an
email to the maintainer and am awaiting a response.
Comment 8 Brent Fox 2001-03-14 00:05:49 EST
I got a response from the person listed as the maintainer in the driver source
code, and he no longer works for Compaq and thus does not maintain the driver
anymore.   Presumably, someone at Compaq is now maintaining the driver, but
apparently it is not fully ported to the 2.4 kernel at this time.  Deferring to
a future release.

Note You need to log in before you can comment on or make changes to this bug.